Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.control
Interface EBXMLControl

    public interface EBXMLControl

WebLogic Integration Control for ebXML protocol This is a base ebXML control that can be used to send and receive messages in the form of callback. This control can be used to exchange messages for both ebXML 1.0 and ebXML 2.0 Messaging Service. The following methods are available after a JCX instance is created.

- request()
: Sends the specified message. Specified in the Control Send node in the initiator business process. Note: The default return type for the request method is void. However, you can also specify the return type to be XmlObject. If you use XmlObject as the return type, the content the XmlObject is the ebXML envelope data.
- response()
: Invoked when a business message is received. Specified in the Control Receive node in the initiator business process.

Nested Class Summary
`static interface` | `EBXMLControl.CallbackIntf` Callback interface.
`static interface` | `EBXMLControl.EbXML` Specifies class-level annotations for the ebXML Control.
`static interface` | `EBXMLControl.EbxmlMethod` Specifies the method-level annotations for the ebXML control.

Method Summary
`com.bea.wli.control.dynamicProperties.EBXMLControlPropertiesDocument` | `getProperties()` Displays the current property settings.
`void` | `setProperties(com.bea.wli.control.dynamicProperties.EBXMLControlPropertiesDocument xmlProps)` Sets dynamic properties at run-time, such as the business ID of the sender or recipient.

Method Detail

### setProperties

    void setProperties(com.bea.wli.control.dynamicProperties.EBXMLControlPropertiesDocument xmlProps)

  Sets dynamic properties at run-time, such as the business ID of the sender or recipient.

  Parameters:
    `xmlProps` - the dynamic properties for the EBXML control

### getProperties

    com.bea.wli.control.dynamicProperties.EBXMLControlPropertiesDocument getProperties()

  Displays the current property settings.

  Returns:
    the dynamic properties for the EBXML control

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD